## org.apache.xerces.xni
Interface XMLLocator

public interface XMLLocator

Location information.

Version:
  $Id: XMLLocator.java,v 1.9 2003/03/26 04:08:25 neilg Exp $
Author:
  Andy Clark, IBM

Method Summary
`java.lang.String` `getBaseSystemId()` Returns the base system identifier.
`int` `getColumnNumber()` Returns the column number.
`java.lang.String` `getEncoding()` Returns the encoding of the current entity.
`java.lang.String` `getExpandedSystemId()` Returns the expanded system identifier.
`int` `getLineNumber()` Returns the line number.
`java.lang.String` `getLiteralSystemId()` Returns the literal system identifier.
`java.lang.String` `getPublicId()` Returns the public identifier.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier.

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

  Returns the literal system identifier.

### getBaseSystemId

    public java.lang.String getBaseSystemId()

  Returns the base system identifier.

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

  Returns the expanded system identifier.

### getLineNumber

    public int getLineNumber()

  Returns the line number.

### getColumnNumber

    public int getColumnNumber()

  Returns the column number.

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding of the current entity. Note that, for a given entity, this value can only be considered final once the encoding declaration has been read (or once it has been determined that there is no such declaration) since, no encoding having been specified on the XMLInputSource, the parser will make an initial "guess" which could be in error.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.